import Component from '../component.js'
import CoEuiButton from './eui-button.js';
import CoEuiIconSvg from './eui-icon-svg.js';
import CoEuiInputGroupAddOn from './eui-input-group-addon.js';
import CoEuiInputGroup from './eui-input-group.js';
import CoEuiInputText from './eui-input-text.js';
import CoEuiLabel from './eui-label.js';

export default class CoEuiHeaderSearch extends Component {
  constructor(parent) {
    let selector = 'eui-header-search';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/layout/eui-header/header-search/header-search.component.html
  }
  get inputGroupCO() {
    return new CoEuiInputGroup(this.currentPath);
  }
  get addonCO() {
    return new CoEuiInputGroupAddOn(this.inputGroupCO);
  }
  get inputTextCO() {
    return new CoEuiInputText(this.addonCO);
  }
  get buttonCO() {
    return new CoEuiButton(this.addonCO);
  }
  get iconCO() {
    return new CoEuiIconSvg(this.buttonCO);
  }
  get labelCO() {
    return new CoEuiLabel(this.buttonCO);
  }
}
